--- clang/lib/Driver/ToolChains/Gnu.cpp.orig	2021-11-12 11:34:46.000000000 +0100
+++ clang/lib/Driver/ToolChains/Gnu.cpp	2021-11-16 14:48:11.933982345 +0100
@@ -2094,7 +2094,16 @@
   static const char *const ARMHFTriples[] = {"arm-linux-gnueabihf",
                                              "armv7hl-redhat-linux-gnueabi",
                                              "armv6hl-suse-linux-gnueabi",
-                                             "armv7hl-suse-linux-gnueabi"};
+                                             "armv7hl-suse-linux-gnueabi"
+                                             "armv7hl-slackware-linux-gnueabi"
+                                             "arm-slackware-linux-gnueabihf",
+                                             "armv6-slackware-linux-gnueabihf",
+                                             "armv6l-slackware-linux-gnueabihf",
+                                             "armv6hl-slackware-linux-gnueabihf",
+                                             "armv7-slackware-linux-gnueabihf",
+                                             "armv7l-slackware-linux-gnueabihf",
+                                             "armv7hl-slackware-linux-gnueabihf",
+  };
   static const char *const ARMebLibDirs[] = {"/lib"};
   static const char *const ARMebTriples[] = {"armeb-linux-gnueabi"};
   static const char *const ARMebHFTriples[] = {
@@ -2116,6 +2125,8 @@
   static const char *const X32LibDirs[] = {"/libx32", "/lib"};
   static const char *const X86LibDirs[] = {"/lib32", "/lib"};
   static const char *const X86Triples[] = {
+      "i386-slackware-linux", "i486-slackware-linux", "i586-slackware-linux", "i686-slackware-linux",
+      "i486-slackware-linux-gnu", "i586-slackware-linux-gnu", "i686-slackware-linux-gnu",
       "i586-linux-gnu",      "i686-linux-gnu",        "i686-pc-linux-gnu",
       "i386-redhat-linux6E", "i686-redhat-linux",     "i386-redhat-linux",
       "i586-suse-linux",     "i686-montavista-linux", "i686-gnu",
